let
  nixpkgs_tar = fetchTarball { url = "https://github.com/NixOS/nixpkgs/archive/20.03.tar.gz"; sha256 = "0182ys095dfx02vl2a20j1hz92dx3mfgz2a6fhn31bqlp1wa8hlq"; };
  pkgs = import "${nixpkgs_tar}" {};
  pyPackages = (python-packages: with python-packages; ([
    solo-python pytest
  ] ++ (with builtins; map (d: getAttr d python-packages) (filter (d: stringLength d > 0) (pkgs.lib.splitString "\n" (builtins.readFile ./tools/requirements.txt))))));
  python-with-my-packages = pkgs.python3.withPackages pyPackages;
in
with pkgs;
stdenv.mkDerivation {
  name = "solo";
  buildInputs = [ gnumake gcc gcc-arm-embedded-8 python-with-my-packages ];
}
